=== po/Makefile ===
# Generated automatically from Makefile.in by configure.

include ../CONFIG

MSGMERGE = msgmerge

PO_FILES = da.po de.po es.po fr.po it.po
CATALOGS = da.mo de.mo es.mo fr.mo it.mo

POTFILES  = ../iflib/rdconfig.c ../ifgate/iftoss.c	\
	    ../ifgate/ifmail.c ../ifgate/ifpack.c	\
	    ../ifcico/ifcico.c ../ifcico/ifroute.c

OTHERS = Makefile

#############################################################################

all: ${NLSPACKAGE}.pot ${CATALOGS}

${NLSPACKAGE}.pot: ${POTFILES}
	xgettext --default-domain=${NLSPACKAGE} \
       	  --add-comments --keyword=_ --keyword=N_ ${POTFILES}
	if cmp -s ${NLSPACKAGE}.po ${NLSPACKAGE}.pot; then \
	    rm -f ${NLSPACKAGE}.po; \
	else \
	    mv ${NLSPACKAGE}.po ${NLSPACKAGE}.pot; \
	fi

update-po: Makefile
	${MAKE} ${NLSPACKAGE}.pot
	catalogs='${CATALOGS}'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		mv $$lang.po $$lang.old.po ; \
		echo -n "$$lang:"; \
		if tupdate $(NLSPACKAGE).pot $$lang.old.po > $$lang.po ; \
		then \
			echo "tupdate of $$lang succeeded" ; \
			rm -f $$lang.old.po; \
		else \
    			echo "tupdate of $$lang failed!"; \
			rm -f $$lang.po; \
			mv $$lang.old.po $$lang.po; \
		fi; \
	done

clean:
	rm -f *mo ${NLSPACKAGE}.pot filelist

filelist:	Makefile
	BASE=`pwd`; \
	BASE=`basename $${BASE}`; \
	(for f in ${PO_FILES} ${OTHERS} ;do echo ifmail/$${BASE}/$$f; done) \
	>filelist

install:	all
	for n in ${CATALOGS}; do \
	    l=`basename $$n .mo`; \
	    ${INSTALL} -m 755 -d ${DESTDIR}/${NLSDIR}/$$l; \
	    ${INSTALL} -m 755 -d ${DESTDIR}/${NLSDIR}/$$l/LC_MESSAGES; \
	    ${INSTALL} -m 644 $$n ${DESTDIR}/${NLSDIR}/$$l/LC_MESSAGES/${NLSPACKAGE}.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

depend:

man:
