=== misc/contrib/cutnl-0.1/Makefile ===
CXX = g++
CXXFLAGS = -O2 -Wall # -g

PROJECT	= cutnl-0.1

# no need to change

all:	cutnl

cutnl:	cutnl.cc
	$(CXX) $(CXXFLAGS) -o cutnl cutnl.cc

clean:
	rm -f cutnl *.o a.out *.core

cleanup:
	$(MAKE) clean
	rm -f *~; \
        cd .. ; rm -f $(PROJECT).tar*

tar:
	$(MAKE) cleanup
	cd .. ; tar cfvW $(PROJECT).tar ./$(PROJECT); \
                ls -l $(PROJECT).tar

taz:
	$(MAKE) tar
	cd .. ; compress $(PROJECT).tar; \
	        ls -l $(PROJECT).tar.Z

tgz:
	$(MAKE) tar
	cd .. ; gzip -9n $(PROJECT).tar; \
	        ls -l $(PROJECT).tar.gz

taz.uu:
	$(MAKE) taz
	cd .. ; uuencode $(PROJECT).tar.Z \
                         `basename $(PROJECT).tar.Z` \
                         > $(PROJECT).tar.Z.uu; \
	        ls -l $(PROJECT).tar.Z.uu

tgz.uu:
	$(MAKE) tgz
	cd .. ; uuencode $(PROJECT).tar.gz \
                         `basename $(PROJECT).tar.gz` \
                         > $(PROJECT).tar.gz.uu; \
	        ls -l $(PROJECT).tar.gz.uu
