=== misc/contrib/rtscts/Makefile ===
rtscts: rtscts.c
	/svr3/usr/bin/cc -systype svr3 -DSVR3 -O0 -g rtscts.c -o rtscts
