=== debian/changelog ===
ifmail (2.14tx8.10-28) unstable; urgency=medium

  * Updated patch portability_headers with a missing prototype.
    (Closes: #1066605)
  * Enabled large files support.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Mar 2024 00:31:03 +0100

ifmail (2.14tx8.10-27) unstable; urgency=medium

  * Moved the sendmail mailer definition to the current path.
  * Stopped crashes when using verbose logging. (Closes: #992182)

 -- Marco d'Itri <md@linux.it>  Fri, 18 Nov 2022 18:06:28 +0100

ifmail (2.14tx8.10-26) unstable; urgency=medium

  * Fixed the dh overrides by splitting them between arch and indep.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Aug 2019 18:58:25 +0200

ifmail (2.14tx8.10-25) unstable; urgency=medium

  * Fixed a segfault in the ifcico configuration parser.
    Thanks to Göran Weinholt for the help. (Closes: #872507)
  * Fixed the command line for tfido in inetd.conf. (Closes: #933938)
  * Fixed cross compilation, thanks to Helmut Grohne. (Closes: #929239)

 -- Marco d'Itri <md@linux.it>  Mon, 26 Aug 2019 01:08:43 +0200

ifmail (2.14tx8.10-24) unstable; urgency=medium

  * Updated the Vcs-* fields for salsa.
  * Merged the last NMU.

 -- Marco d'Itri <md@linux.it>  Sun, 17 Feb 2019 19:16:41 +0100

ifmail (2.14tx8.10-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use the compat level gdbm package, to fix build with new gdbm
    (This needs porting to new gdbm api, because the compat package will
     eventually disappear) (Closes: #888752)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2018 10:34:20 +0100

ifmail (2.14tx8.10-23) unstable; urgency=medium

  * Made the builds reproducible, thanks to Chris Lamb. (Closes: #831629)
  * Fixed a FTBFS when built with dpkg-buildpackage -A, thanks to
    Santiago Vila. (Closes: #845117)
  * Depend on libfl-dev. (Closes: #846429)
  * Implemented FTS-5005, thanks to Markus Reschke.
  * Updated patch portability_headers to fix a FTBFS on x32.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Dec 2016 04:40:59 +0100

ifmail (2.14tx8.10-22) unstable; urgency=medium

  * Added patch fix_bsyname to fix the bsyname() declaration.
    (Closes: #749383)
  * Use the bindnow hardening option.

 -- Marco d'Itri <md@linux.it>  Fri, 25 Jul 2014 01:16:38 +0200

ifmail (2.14tx8.10-21) unstable; urgency=low

  * Do not use perl4 modules. (Closes: #659423)
  * Added support for dpkg-buildflags and hardening.
  * Package converted to source format 3.0.

 -- Marco d'Itri <md@linux.it>  Mon, 14 May 2012 05:17:39 +0200

ifmail (2.14tx8.10-20) unstable; urgency=low

  * Package converted to quilt.
  * Fixed an occurrence of open(2) with no explicit mode. (Closes: #507044)
  * Stop the Makefiles from stripping the binaries. (Closes: #437198)
  * Removed some dead code from postinst. (Closes: #553289)
  * Fixed bashisms in some example scripts. (Closes: #530102)
  * Merged NMUs. (Closes: #408244, #413397, #435994, #493337)

 -- Marco d'Itri <md@linux.it>  Sun, 06 Dec 2009 21:22:31 +0100

ifmail (2.14tx8.10-19.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix the previous fix (435994), i.e. really exit 0 if LOGDIR doesn't exists
    in /etc/cron.weekly/ifmail (Closes: #493337)

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 12 Aug 2008 16:52:04 +0200

ifmail (2.14tx8.10-19.3) unstable; urgency=low

  * Non-maintainer upload.
  * Exit 0 if logdir doesn't exists in /etc/cron.weekly/ifmail
    (Closes: #435994)

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 01 May 2008 16:45:05 +0200

ifmail (2.14tx8.10-19.2) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Add missing dependency on update-inetd to ifcico, and fix the
    maintainer script handling to only add entries on a new install and
    only remove them on purge.  Closes: #413397.

 -- Steve Langasek <vorlon@debian.org>  Sun, 18 Mar 2007 01:42:26 -0700

ifmail (2.14tx8.10-19.1) unstable; urgency=high

  * Non-maintainer upload.

  * Set urgency to high since it fixes an RC bug.

  * Added missing dep on adduser (Closes: #408244)

 -- Bastian Venthur <venthur@debian.org>  Wed, 31 Jan 2007 15:11:24 +0100

ifmail (2.14tx8.10-19) unstable; urgency=low

  * Updated dependency to exim4. (Closes: #228568)
  * Fixed gcc 4.0 FTBFS bugs. (Closes: #286428)

 -- Marco d'Itri <md@linux.it>  Sat, 16 Jul 2005 12:13:34 +0200

ifmail (2.14tx8.10-18) unstable; urgency=medium

  * Switched from libgdbmg1-dev to libgdbm-dev.
  * Switched from varargs.h to stdarg.h, patch courtesy of Matt Kraai.
    (Closes: #195439)

 -- Marco d'Itri <md@linux.it>  Sat, 14 Jun 2003 13:47:32 +0200

ifmail (2.14tx8.10-17) unstable; urgency=low

  * Patched flagexp.y and ifcico/Makefile to work with the new flex release
    (Closes: #191190).

 -- Marco d'Itri <md@linux.it>  Thu,  1 May 2003 13:27:47 +0200

ifmail (2.14tx8.10-16) unstable; urgency=medium

  * Modified flagexp.y to work with the new bison release (Closes: #164230).

 -- Marco d'Itri <md@linux.it>  Thu, 17 Oct 2002 02:22:03 +0200

ifmail (2.14tx8.10-15) unstable; urgency=low

  * Use gdbm-ndbm.h instead of ndbm.h (Closes: #162440).

 -- Marco d'Itri <md@linux.it>  Mon,  7 Oct 2002 21:13:17 +0200

ifmail (2.14tx8.10-14) unstable; urgency=medium

  * Added build depend on debhelper (Closes: #123708).
  * Added link for ifnews.8.gz (Closes: #92583).
  * Merged some code from Andrey Smirnov to support KOI8-R.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Dec 2001 18:22:37 +0100

ifmail (2.14tx8.10-13) unstable; urgency=low

  * Added -DDO_NEED_TIME (Closes: #91914).

 -- Marco d'Itri <md@linux.it>  Wed, 28 Mar 2001 00:03:07 +0200

ifmail (2.14tx8.10-12) unstable; urgency=low

  * Added support for the inn2 package.
  * Added build dependencies (Closes: #58063).
  * Removed suidregister support.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Mar 2001 16:02:09 +0200

ifmail (2.14tx8.10-11) frozen unstable; urgency=medium

  * Y2K patch (important!).
  * Porting fixes (Closes: #55252, #57394).

