=== debian/control ===
Source: ifmail
Section: comm
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13), gettext, libgdbm-dev, libgdbm-compat-dev, bison, flex, libfl-dev
Standards-Version: 4.6.2.1
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/md/ifmail.git
Vcs-Browser: https://salsa.debian.org/md/ifmail

Package: ifmail
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, adduser
Suggests: ifcico, ifgate
Description: Internet to Fidonet gateway
 The package contains common files needed by ifcico and ifgate packages.
 This version includes the "tx" patches and other misc patches.

Package: ifgate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifmail, default-mta | mail-transport-agent, inn | inn2 | news-transport-system
Description: Internet to Fidonet gateway
 The program can act as a gateway between email and netmail and Usenet
 newsgroups and echomail.
 This version includes the "tx" patches and other misc patches.

Package: ifcico
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifmail, openbsd-inetd | inet-superserver
Description: Fidonet Technology transport package
 Ifcico is a FidoTech mailer for connecting to other nodes via the phone
 or the Internet.
 This version includes the "tx" patches and other misc patches.
