=== debian/rules ===
#!/usr/bin/make -f

CFLAGS ?= -g -O2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs

%:
	dh $@

override_dh_clean:
	dh_clean ifcico/ifcico.fr.8

override_dh_auto_build:
	dh_auto_build -- EXTRA_CFLAGS="$(CFLAGS) $(CPPFLAGS)" EXTRA_LDFLAGS="$(CFLAGS) $(LDFLAGS)"
	ln -sf ifcico.8.fr ifcico/ifcico.fr.8

override_dh_auto_install:

override_dh_install-indep:
	install --mode=755 md/fido.daily debian/ifmail/usr/lib/ifmail/
	cd po && $(MAKE) install DESTDIR=../debian/ifmail
	cp misc/config md/ifshellvars debian/ifmail/etc/ifmail/
	# compatibility symlink
	ln -s ftn debian/ifmail/var/spool/ifmail

override_dh_install-arch:
	cd ifcico && install ifcico ifindex ifinfo ifreq nlpatch \
		nlookup ../ifgate/ifstat ../debian/ifcico/usr/lib/ifmail/
	install ifgate/ifmail ifgate/ifpack ifgate/iftoss \
		ifgate/ifunpack debian/ifgate/usr/lib/ifmail/

	touch debian/ifgate/etc/ifmail/aliases
	cp misc/Areas debian/ifgate/etc/ifmail/
	install --mode=755 md/fidosend debian/ifgate/etc/news/scripts/
	cp misc/maptabs/[a-z]* debian/ifgate/usr/lib/ifmail/maptabs/
	cp md/ifmail.m4 debian/ifgate/usr/share/sendmail/cf/mailer/

override_dh_installchangelogs:
	dh_installchangelogs Changelog.TX

override_dh_fixperms-indep:
	dh_fixperms -i
	# non standard permissions
	chown -R 64000:64000 debian/ifmail/var/spool/ftn/
	chown -R 64000:adm debian/ifmail/var/log/ifmail/

override_dh_fixperms-arch:
	dh_fixperms -a
	# suid stuff
	chown 64000:news debian/ifgate/usr/lib/ifmail/ifmail
	chmod 4754 debian/ifgate/usr/lib/ifmail/ifmail
